## golang-github-willf-bloom 3.7.0

=== Makefile ===
# MAKEFILE
#
# @author      Nicola Asuni <info@tecnick.com>
# @link        https://github.com/bits-and-blooms/bloom
# ------------------------------------------------------------------------------

# List special make targets that are not associated with files
.PHONY: help all test format fmtcheck vet lint coverage cyclo ineffassign misspell structcheck varcheck errcheck gosimple astscan qa deps clean nuke

# Use bash as shell (Note: Ubuntu now uses dash which doesn't support PIPESTATUS).
SHELL=/bin/bash

# CVS path (path to the parent dir containing the project)
CVSPATH=github.com/bits-and-blooms

# Project owner
OWNER=bits-and-blooms

# Project vendor
VENDOR=bits-and-blooms

# Project name
PROJECT=bloom

# Project version
VERSION=$(shell cat VERSION)

# Name of RPM or DEB package
PKGNAME=${VENDOR}-${PROJECT}

# Current directory
CURRENTDIR=$(shell pwd)

# GO lang path
ifneq ($(GOPATH),)
	ifeq ($(findstring $(GOPATH),$(CURRENTDIR)),)
		# the defined GOPATH is not valid
		GOPATH=
	endif
endif
ifeq ($(GOPATH),)
	# extract the GOPATH
	GOPATH=$(firstword $(subst /src/, ,$(CURRENTDIR)))
endif

# --- MAKE TARGETS ---

# Display general help about this command
help:
	@echo ""
	@echo "$(PROJECT) Makefile."
	@echo "GOPATH=$(GOPATH)"
	@echo "The following commands are available:"
	@echo ""
	@echo "    make qa          : Run all the tests"
	@echo "    make test        : Run the unit tests"
	@echo ""
	@echo "    make format      : Format the source code"
	@echo "    make fmtcheck    : Check if the source code has been formatted"
	@echo "    make vet         : Check for suspicious constructs"
	@echo "    make lint        : Check for style errors"
	@echo "    make coverage    : Generate the coverage report"
	@echo "    make cyclo       : Generate the cyclomatic complexity report"
	@echo "    make ineffassign : Detect ineffectual assignments"
	@echo "    make misspell    : Detect commonly misspelled words in source files"
	@echo "    make structcheck : Find unused struct fields"
	@echo "    make varcheck    : Find unused global variables and constants"
	@echo "    make errcheck    : Check that error return values are used"
	@echo "    make gosimple    : Suggest code simplifications"
	@echo "    make astscan     : GO AST scanner"
	@echo ""
	@echo "    make docs        : Generate source code documentation"
	@echo ""
	@echo "    make deps        : Get the dependencies"
	@echo "    make clean       : Remove any build artifact"
	@echo "    make nuke        : Deletes any intermediate file"
	@echo ""

# Alias for help target
all: help

# Run the unit tests
test:
	@mkdir -p target/test
	@mkdir -p target/report
	GOPATH=$(GOPATH) \
	go test \
	-covermode=atomic \
	-bench=. \
	-race \
	-cpuprofile=target/report/cpu.out \
	-memprofile=target/report/mem.out \
	-mutexprofile=target/report/mutex.out \
	-coverprofile=target/report/coverage.out \
	-v ./... | \
	tee >(PATH=$(GOPATH)/bin:$(PATH) go-junit-report > target/test/report.xml); \
	test $${PIPESTATUS[0]} -eq 0

# Format the source code
format:
	@find . -type f -name "*.go" -exec gofmt -s -w {} \;

# Check if the source code has been formatted
fmtcheck:
	@mkdir -p target
	@find . -type f -name "*.go" -exec gofmt -s -d {} \; | tee target/format.diff
	@test ! -s target/format.diff || { echo "ERROR: the source code has not been formatted - please use 'make format' or 'gofmt'"; exit 1; }

# Check for syntax errors
vet:
	GOPATH=$(GOPATH) go vet .

# Check for style errors
lint:
	GOPATH=$(GOPATH) PATH=$(GOPATH)/bin:$(PATH) golint .

# Generate the coverage report
coverage:
	@mkdir -p target/report
	GOPATH=$(GOPATH) \
	go tool cover -html=target/report/coverage.out -o target/report/coverage.html

# Report cyclomatic complexity
cyclo:
	@mkdir -p target/report
	GOPATH=$(GOPATH) gocyclo -avg ./ | tee target/report/cyclo.txt ; test $${PIPESTATUS[0]} -eq 0

# Detect ineffectual assignments
ineffassign:
	@mkdir -p target/report
	GOPATH=$(GOPATH) ineffassign ./ | tee target/report/ineffassign.txt ; test $${PIPESTATUS[0]} -eq 0

# Detect commonly misspelled words in source files
misspell:
	@mkdir -p target/report
	GOPATH=$(GOPATH) misspell -error ./  | tee target/report/misspell.txt ; test $${PIPESTATUS[0]} -eq 0

# Find unused struct fields
structcheck:
	@mkdir -p target/report
	GOPATH=$(GOPATH) structcheck -a ./  | tee target/report/structcheck.txt

# Find unused global variables and constants
varcheck:
	@mkdir -p target/report
	GOPATH=$(GOPATH) varcheck -e ./  | tee target/report/varcheck.txt

# Check that error return values are used
errcheck:
	@mkdir -p target/report
	GOPATH=$(GOPATH) errcheck ./  | tee target/report/errcheck.txt

# Suggest code simplifications
gosimple:
	@mkdir -p target/report
	GOPATH=$(GOPATH) gosimple ./  | tee target/report/gosimple.txt

# AST scanner
astscan:
	@mkdir -p target/report
	GOPATH=$(GOPATH) gas .//*.go | tee target/report/astscan.txt ; test $${PIPESTATUS[0]} -eq 0

# Generate source docs
docs:
	@mkdir -p target/docs
	nohup sh -c 'GOPATH=$(GOPATH) godoc -http=127.0.0.1:6060' > target/godoc_server.log 2>&1 &
	wget --directory-prefix=target/docs/ --execute robots=off --retry-connrefused --recursive --no-parent --adjust-extension --page-requisites --convert-links http://127.0.0.1:6060/pkg/github.com/${VENDOR}/${PROJECT}/ ; kill -9 `lsof -ti :6060`
	@echo '<html><head><meta http-equiv="refresh" content="0;./127.0.0.1:6060/pkg/'${CVSPATH}'/'${PROJECT}'/index.html"/></head><a href="./127.0.0.1:6060/pkg/'${CVSPATH}'/'${PROJECT}'/index.html">'${PKGNAME}' Documentation ...</a></html>' > target/docs/index.html

# Alias to run all quality-assurance checks
qa: fmtcheck test vet lint coverage cyclo ineffassign misspell structcheck varcheck errcheck gosimple astscan

# --- INSTALL ---

# Get the dependencies
deps:
	GOPATH=$(GOPATH) go get ./...
	GOPATH=$(GOPATH) go get github.com/golang/lint/golint
	GOPATH=$(GOPATH) go get github.com/jstemmer/go-junit-report
	GOPATH=$(GOPATH) go get github.com/axw/gocov/gocov
	GOPATH=$(GOPATH) go get github.com/fzipp/gocyclo
	GOPATH=$(GOPATH) go get github.com/gordonklaus/ineffassign
	GOPATH=$(GOPATH) go get github.com/client9/misspell/cmd/misspell
	GOPATH=$(GOPATH) go get github.com/opennota/check/cmd/structcheck
	GOPATH=$(GOPATH) go get github.com/opennota/check/cmd/varcheck
	GOPATH=$(GOPATH) go get github.com/kisielk/errcheck
	GOPATH=$(GOPATH) go get honnef.co/go/tools/cmd/gosimple
	GOPATH=$(GOPATH) go get github.com/securego/gosec

# Remove any build artifact
clean:
	GOPATH=$(GOPATH) go clean ./...

# Deletes any intermediate file
nuke:
	rm -rf ./target
	GOPATH=$(GOPATH) go clean -i ./...

## golang-github-willf-bloom 2.0.3+git20190228.25ba46e

=== debian/changelog ===
golang-github-willf-bloom (2.0.3+git20190228.25ba46e-2) unstable; urgency=medium

  * upload source package

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 14 Jul 2019 23:35:16 +0000

golang-github-willf-bloom (2.0.3+git20190228.25ba46e-1) unstable; urgency=medium

  * Initial release (Closes: #724955)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 14 Apr 2019 20:18:31 +0200

=== debian/control ===
Source: golang-github-willf-bloom
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-spaolacci-murmur3-dev,
               golang-github-willf-bitset-dev
Standards-Version: 4.3.0
Homepage: https://github.com/willf/bloom
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-willf-bloom
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-willf-bloom.git
XS-Go-Import-Path: github.com/willf/bloom
Testsuite: autopkgtest-pkg-go

Package: golang-github-willf-bloom-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-spaolacci-murmur3-dev,
         golang-github-willf-bitset-dev
Description: Go package implementing Bloom filters
 A Bloom filter is a representation of a set of n items, where the main
 requirement is to make membership queries; i.e., whether an item is a
 member of a set.
 .
 A Bloom filter has two parameters: m, a maximum size (typically a
 reasonably large multiple of the cardinality of the set to represent)
 and k, the number of hashing functions on elements of the set. (The
 actual hashing functions are important, too, but this is not a
 parameter for this implementation). A Bloom filter is backed by a BitSet
 (https://github.com/willf/bitset); a key is represented in the filter
 by setting the bits at each value of the  hashing functions (modulo
 m). Set membership is done by testing whether the bits at each value of
 the hashing functions (again, modulo m) are set. If so, the item is in
 the set. If the item is actually in the set, a Bloom filter will never
 fail (the true positive rate is 1.0); but it is susceptible to false
 positives. The art is to choose k and m correctly.
 .
 In this implementation, the hashing functions used is murmurhash
 (github.com/spaolacci/murmur3), a non-cryptographic hashing function.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-willf-bloom-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/willf/bloom/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-willf-bloom 3.0.1

=== debian/changelog ===
golang-github-willf-bloom (3.0.1-2) unstable; urgency=medium

  * Team upload
  * Update Section to golang
  * Add github.com/bits-and-blooms/bloom to XS-Go-Import-Path
  * Remove unused Files-Excluded
  * Disable murmur test to reduce Build-Depends
  * Remove unused Build-Depends
  * Update copyright for murmur.go
  * Add symlink for github.com/bits-and-blooms/bloom

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 23 Sep 2021 23:37:59 +0800

golang-github-willf-bloom (3.0.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: use dh13
  * debian/control: bump standard to 4.6.0 (no changes)
  * debian/control: add Rules-Requires-Root:

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 05 Sep 2021 19:40:49 +0000

golang-github-willf-bloom (2.0.3+git20190228.25ba46e-4) unstable; urgency=medium

  * upload source package

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 30 Aug 2021 19:33:46 +0200

golang-github-willf-bloom (2.0.3+git20190228.25ba46e-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 21 Aug 2021 12:08:01 +0100

## golang-github-willf-bloom 3.1.0

=== debian/changelog ===
golang-github-willf-bloom (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * according to ratt no entry in Built-Using: of other packages

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 05 Jan 2022 02:53:23 +0100

## golang-github-willf-bloom 3.2.0

=== debian/changelog ===
golang-github-willf-bloom (3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * according to ratt nothing needs to be rebuild

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 21 Apr 2022 13:58:16 +0200

## golang-github-willf-bloom 3.3.1

=== debian/changelog ===
golang-github-willf-bloom (3.3.1-1) unstable; urgency=medium

  * New upstream release.
  * according to ratt nothing needs to be rebuild

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 03 Dec 2022 11:49:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: golang-github-willf-bloom
-Section: devel
+Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-               golang-github-spaolacci-murmur3-dev,
-               golang-github-willf-bitset-dev
-Standards-Version: 4.3.0
+               golang-github-bits-and-blooms-bitset-dev
+Standards-Version: 4.6.0
 Homepage: https://github.com/willf/bloom
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-willf-bloom
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-willf-bloom.git
-XS-Go-Import-Path: github.com/willf/bloom
+XS-Go-Import-Path: github.com/willf/bloom, github.com/bits-and-blooms/bloom
 Testsuite: autopkgtest-pkg-go
+Rules-Requires-Root: no
 
 Package: golang-github-willf-bloom-dev
 Architecture: all
-Depends: ${misc:Depends},
-         golang-github-spaolacci-murmur3-dev,
-         golang-github-willf-bitset-dev
+Depends: golang-github-bits-and-blooms-bitset-dev,
+         ${misc:Depends}
 Description: Go package implementing Bloom filters
  A Bloom filter is a representation of a set of n items, where the main
  requirement is to make membership queries; i.e., whether an item is a

## golang-github-willf-bloom 3.7.0

=== debian/changelog ===
golang-github-willf-bloom (3.7.0-1) unstable; urgency=medium

  * New upstream release.  Required by new ironwood.
  * Add myself to uploaders.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 23 Jul 2024 05:24:57 -0500

golang-github-willf-bloom (3.6.0-1) unstable; urgency=medium

  * New upstream release.
  * according to ratt nothing needs to be rebuild
  * debian/control: bump standard to 4.6.2 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 02 Nov 2023 18:40:13 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Thorsten Alteholz <debian@alteholz.de>
+Uploaders: Thorsten Alteholz <debian@alteholz.de>, John Goerzen <jgoerzen@complete.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-               golang-github-bits-and-blooms-bitset-dev
-Standards-Version: 4.6.0
+               golang-github-bits-and-blooms-bitset-dev (>= 1.13.0)
+Standards-Version: 4.6.2
 Homepage: https://github.com/willf/bloom
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-willf-bloom
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-willf-bloom.git

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-willf-bloom-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/willf/bloom/tags .*/v?(\d\S*)\.tar\.gz debian uupdate
